
// Isabela Antunes

#include <stdio.h>
#include <stdlib.h>
#define MAX 64


int valida_mail(char *s){
  int i,TAM = strlen(s);

  if(!(s[0] >= 'a' && s[0] <= 'z' || s[0] >= 'A' && s[0] <= 'Z'))
     {
         printf("O endereco precisa comecar com uma letra!!\n");
         return 0;
     }
  if(s[TAM-1] == '.')
     {
        printf("O endereco nao pode terminar com um ponto!!\n");
        return 0;
     }

  int pontos = 0;

  for(i = 1;i < TAM;i++)
  {
     if(s[i] == '.')
        {
            pontos++;

            if(pontos == 2)
            {
                printf("O endereco nao pode ter pontos consecutivos\n");
                return 0;
            }
        }
     else
        {
            pontos = 0;
        }
  }

  for( i = 1; i < TAM;i++)
    {
        if(!(s[i] >= 'a' && s[i] <= 'z' || s[i] >= 'A' && s[i] <= 'Z') && !(s[i] >= '0' && s[i] <= '9'))
        {
            if(s[i] != '.' && s[i] != '-' && s[i] != '_')
                {
                    printf("Caracteres especiais ou letras acentuadas nao sao permitidos \'%c\'\n",s[i]);
                    return 0;
                }
        }
    }

    return 1;
}

int main()
{
    char e[MAX];

    printf("digite um endereco de email:");
    scanf("%s",e);

    if(valida_mail(e) == 1)
    {
      printf("email valido:%s@hotmail.com\n",e);
    }
    else
    {
      printf("email invalido\n");
    }

    return 0;
}

